# coding=utf-8
from django.db import models

from web.models.constants import BOOL_CHOICES


class StudyColumns(models.Model):
    class Meta:
        app_label = 'web'

    postponed = models.BooleanField(
        verbose_name='Postponed',
        default=True
    )

    datetime_contact_reminder = models.BooleanField(
                                                    default=True,
                                                    verbose_name='Please make a contact on'
                                                    )
    type = models.BooleanField(
                               default=True,
                               verbose_name='Type'
                               )

    default_location = models.BooleanField(
                                           default=True,
                                           verbose_name='Default appointment location',
                                           )

    flying_team = models.BooleanField(
                                      default=True,
                                      verbose_name='Default flying team location (if applicable)',
                                      )

    screening_number = models.BooleanField(
                                           default=True,
                                           verbose_name='Screening number',
                                           )
    nd_number = models.BooleanField(
                                    default=True,
                                    verbose_name='ND number',
                                    )
    mpower_id = models.BooleanField(
                                    default=True,
                                    verbose_name='MPower ID'
                                    )
    comments = models.BooleanField(
                                   default=True,
                                   verbose_name='Comments'
                                   )
    referral = models.BooleanField(
                                   default=True,
                                   verbose_name='Referred by'
                                   )
    diagnosis = models.BooleanField(
                                    default=True,
                                    verbose_name='Diagnosis'
                                    )
    year_of_diagnosis = models.BooleanField(
                                            default=True,
                                            verbose_name='Year of diagnosis (YYYY)'
                                            )

    information_sent = models.BooleanField(
                                           default=True,
                                           verbose_name='Information sent',
                                           )
    pd_in_family = models.BooleanField(
                                       default=True,
                                       verbose_name='PD in family',
                                       )
    resigned = models.BooleanField(
                                   default=True,
                                   verbose_name='Resigned',
                                   )
    resign_reason = models.BooleanField(
                                        default=True,
                                        verbose_name='Resign reason'
                                        )

    excluded = models.BooleanField(default=False, verbose_name='Excluded')

    referral_letter = models.BooleanField(
                                          default=False,
                                          verbose_name='Referral letter'
                                          )

    health_partner = models.BooleanField(
                                         default=False,
                                         verbose_name='Health partner'
                                         )

    health_partner_feedback_agreement = models.BooleanField(
                                                            default=False,
                                                            verbose_name='Agrees to give information to referral'
                                                            )

    screening = models.BooleanField(
                                    default=False,
                                    verbose_name='Screening'
                                    )

    previously_in_study = models.BooleanField(
                                              default=False,
                                              verbose_name='Previously in PDP study',
                                              )

    voucher_types = models.BooleanField(
                                        default=False,
                                        verbose_name='Voucher types',
                                        )

    vouchers = models.BooleanField(
                                   default=False,
                                   verbose_name='Vouchers',
                                   )