# coding=utf-8
import json

from django.contrib.auth.models import User
from django.test import Client
from django.test import TestCase
from django.urls import reverse

from web.tests.functions import create_worker, create_appointment_type


class TestApi(TestCase):
    def setUp(self):
        self.client = Client()
        username = 'piotr'
        password = 'top_secret'
        self.user = User.objects.create_user(
            username=username, email='jacob@bla', password=password)
        self.worker = create_worker(self.user)
        self.client.login(username=username, password=password)

    def test_appointment_types(self):
        type_name = "some type name"

        response = self.client.get(reverse('web.api.appointment_types'))
        self.assertEqual(response.status_code, 200)

        self.appointment_type = create_appointment_type()
        self.appointment_type.code = type_name
        self.appointment_type.save()

        response = self.client.get(reverse('web.api.appointment_types'))
        appointment_types = json.loads(response.content)['appointment_types']

        found = False
        for appointment_type in appointment_types:
            if appointment_type['type'] == type_name:
                found = True

        self.assertTrue(found)
